function Test_Node(nodeXml)
{
    Text_Node.superclass.constructor.call(this);
    
    var oDiv = Rup.create('div');
    
    var oLink = new Test_Link({
    	testId: nodeXml.getAttribute('testid'),
    	text: nodeXml.getAttribute('content')
    });
    
    oDiv.appendChild(oLink.dom());
    
    this._setBaseElement(oDiv);
}

Rup.extend(Test_Node, Element_Abstract);